package com.ibm.mqe.model;

/****************************************************************************/
/*                                                                          */
/* Program name: MQ Series Everyplace - Administration Tool                 */
/*                                                                          */
/*  Statement:  Licensed Materials - Property of IBM                        */
/*                                                                          */
/*              MQSeries SupportPac MSE1                                    */
/*              (C) Copyright IBM Corp. 2000                                */
/*                                                                          */
/****************************************************************************/
/*                                                                          */
/* Change history:                                                          */
/*                                                                          */
/* V1.0   15-08-2000  PTvL  Initial release                                 */
/*                                                                          */
/*==========================================================================*/
import com.ibm.uia.metamodel.*;
import java.util.*;
import com.ibm.uia.xml.*;
import com.ibm.mqe.model.*;
import java.lang.reflect.*;
/**
 * This type was created in VisualAge.
 */
public class MQeMetaObject extends MetaObject implements MQeMetaModelConstants {
	private static final String PREFIX_ATTRIBUTE = "prefix";
	// display prefix, so we can differentiate queue types
	private String prefix;
/**
 * MQMetaObject constructor comment.
 * @param element org.w3c.dom.Element
 * @param metaModel com.ibm.uia.metamodel.MetaModel
 */
public MQeMetaObject(MetaModel metaModel) {
	super(metaModel);
}

/**
 * reply a new instance of attribute initialised for the specified
 * AttributeDefinition and UIObject.
 * This method is called during the initialisation of an instance of
 * UIObject by the receiver.
 * This method is the intended factory method for attributes, and
 * is designed to allow subclasses to substitute instances of
 * subclasses of Attribute into the UIObjects attribute dictionary
 *
 * Overrideen here to substitute an instance of MQeAttribute
 */
protected Attribute newAttribute(AttributeDefinition attDef, UIObject owner) {
	return new MQeAttribute(attDef, owner);
}
}
